import * as THREE from 'three';
export interface IObjectLoader {
    /**
     * 파일 로드
     * @param files
     * @param filesMap
     */
    objectLoadAsFolder(files: File[]): Promise<any>;
    plyLoad(arrayBuffer: ArrayBuffer): Promise<THREE.Points>;
}
declare class ObjectLoaderService implements IObjectLoader {
    #private;
    plyLoad(arrayBuffer: ArrayBuffer): Promise<THREE.Points>;
    /**
     * mtl파일이 포함된 obj 파일 형식을 로드
     * @param files
     * @param filesMap
     */
    objectLoadAsFolder(files: File[]): Promise<THREE.Points<THREE.BufferGeometry<THREE.NormalBufferAttributes>, THREE.Material | THREE.Material[]> | THREE.Group | undefined>;
}
export default ObjectLoaderService;
